<script lang="ts">
    import { page } from '$app/stores'
    import NavIcon from '$components/Nav/Public/NavIcon.svelte'
</script>

<footer>
    <section class="container">
        <article class="icon">
            <NavIcon home />
        </article>
        <article>
            <a aria-current={$page.path === '/login' ? 'page' : undefined} href="/login">
                Log in
            </a>
            <a aria-current={$page.path === '/register' ? 'page' : undefined} href="/register">
                Create my account
            </a>
        </article>
        <article>
            <a
                aria-current={$page.path === '/how-to-play' ? 'page' : undefined}
                href="/how-to-play"
            >
                How to play
            </a>
        </article>
    </section>
</footer>

<style lang="postcss">
    footer {
        @apply py-16 bg-gradient-to-r from-midnight-900 to-midnight-800;
    }

    section {
        @apply mx-auto flex flex-col gap-y-8 gap-x-0 sm:flex-row sm:gap-y-0 sm:gap-x-8;
    }

    article {
        @apply w-full flex flex-col items-center sm:w-1/3 sm:items-start;

        &.icon {
            @apply text-trueGray-50;
        }
    }

    a {
        @apply text-white text-opacity-50 transition-colors duration-150 ease-out;

        &:not(:last-child) {
            @apply mb-4;
        }

        &:focus,
        &:hover,
        &[aria-current] {
            @apply text-opacity-90;
        }
    }
</style>
